--- old/usr/src/lib/libwanboot/Makefile.com	2014-05-21 04:03:32.694956078 +0400
+++ new/usr/src/lib/libwanboot/Makefile.com	2014-05-21 04:03:32.703692331 +0400
@@ -60,7 +60,12 @@
 
 LIBS +=		$(LINTLIB)
 LDLIBS +=	-lnvpair -lresolv -lnsl -lsocket -ldevinfo -ldhcputil \
-		-linetutil -lc -lcrypto -lssl
+		-linetutil -lc
+
+# libcrypto and libssl have no lint library, so we can only use it when
+# building
+$(DYNLIB) := LDLIBS += -lcrypto -lssl
+
 CPPFLAGS =	-I$(SRC)/common/net/wanboot/crypt $(CPPFLAGS.master)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
@@ -79,6 +84,11 @@
 LINTFLAGS   +=    -erroff=E_BAD_PTR_CAST_ALIGN
 LINTFLAGS64 +=    -erroff=E_BAD_PTR_CAST_ALIGN
 
+# OpenSSLs API includes some macro expansions that are incompatible with lint,
+# depending on the version of OpenSSL used
+LINTFLAGS   +=    -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
+LINTFLAGS64 +=    -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
+
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-I$(LOC_DIR) -I$(COM_DIR) -I$(DHCP_DIR)
 
